Package docking.widgets.pathmanager

# Class AbstractPathsDialog

java.lang.Object
docking.DialogComponentProvider
docking.widgets.pathmanager.AbstractPathsDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

Direct Known Subclasses:
  `LibraryPathsDialog`

public abstract class AbstractPathsDialog extends DialogComponentProvider

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final PathnameTablePanel`
  `tablePanel`

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractPathsDialog(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected JComponent`
  `buildWorkPanel()`
  `protected abstract String[]`
  `loadPaths()`
  `protected abstract PathnameTablePanel`
  `newPathnameTablePanel()`
  `protected void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.
  `protected void`
  `reset()`
  `protected abstract void`
  `savePaths(String[] paths)`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, close, closeDialog, dialogClosed, dialogShown, dismissCallback, dispose, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### tablePanel

    protected final PathnameTablePanel tablePanel

- ## Constructor Details

  - ### AbstractPathsDialog

    protected AbstractPathsDialog(String title)

- ## Method Details

  - ### loadPaths

    protected abstract String[] loadPaths()

  - ### savePaths

    protected abstract void savePaths(String[] paths)

  - ### newPathnameTablePanel

    protected abstract PathnameTablePanel newPathnameTablePanel()

  - ### reset

    protected void reset()

  - ### buildWorkPanel

    protected JComponent buildWorkPanel()

  - ### okCallback

    protected void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`